Subject: Re: perl - "from" replacement

From: Sven Guckes <[email-masked]>
Date: Thu, 27 Nov 1997 13:07:04 +0100

Hello, again!

	Date: Wed, 25 Oct 1995 23:09:44 -0400 (EDT)
	From: Out of his mind <[email-masked]>
	To: [email-masked]
	cc: [email-masked]
	Subject: Re: [mail] Getting Mail headers without mail prog???

Wow - one of my oldest emails which are still in my mailbox.
Gotta reply to it now!

Quoting Out of his mind ([email-masked]):
> > Well, this looks at *all* lines which contain "From".
> > It should be "^From: ", though.
> > And even this does not skip "included non-quoted mails".
> > So - could somebody give a better script?  PERL, anyone?
> Here is a Perl replacement for 'from' that I use,
> 	#!/usr/local/bin/perl -s
> 	# from - Find out who incoming mail is from, with support for
> mailfiles and I could certainly customize it for anything you want,
> or super-condense it and add support for the Apparently-From: header.
> Which parts of headers do you want?

How about making it customizable with some switches?
I think these are the most important:
	Date:|From |From:|Subject:|To:

> Use 'from -h' to get usage; it runs under both Perl 4 and Perl 5.
> It even re-canonicalizes addresses to the standard "Name <address>"
> format, no matter what format it's currently in.

That is certainly cool!

> > I'd promise the best script a postcard from Berlin.
> > How about one of the "wrapped Reichstag"?

I think I'll have to send you that postcard still.

Sven  [finally replying to old emails]